Table of Contents

## Name

XdbeAllocateBackBufferName - allocates a DBE buffer.

## Synopsis

#include <X11/extensions/Xdbe.h>

XdbeBackBuffer XdbeAllocateBackBufferName( Display *dpy,
Window window,
XdbeSwapAction swap_action)

## Description

This function returns a drawable ID used to refer to the back buffer of the specified window. The swap_action is a hint to indicate the swap action that will likely be used in subsequent calls to XdbeSwapBuffers(). The actual swap action used in calls to XdbeSwapBuffers() does not have to be the same as the swap_action passed to this function, though clients are encouraged to provide accurate information whenever possible.

## Errors

BadAlloc
BadIDChoice
BadMatch
  The specified window is not an InputOutput window or its visual does not support DBE.
BadValue
  An invalid swap action was specified.
BadWindow
  An invalid window was specified.

## See Also

DBE, XdbeBeginIdiom(), XdbeDeallocateBackBufferName(), XdbeEndIdiom(), XdbeFreeVisualInfo(), XdbeGetBackBufferAttributes(), XdbeGetVisualInfo(), XdbeQueryExtension(), XdbeSwapBuffers().

Table of Contents

- Name
- Synopsis
- Description
- Errors
- See Also